Package com.mckoi.database.jdbcserver

## Class TCPServer

- java.lang.Object
- - com.mckoi.database.jdbcserver.TCPServer

    public final class TCPServer
    extends java.lang.Object

A TCP/IP socket server that opens a single port and allows JDBC clients to connect through the port to talk with the database.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`TCPServer​(Database database)` Constructs the TCPServer over the given DatabaseSystem configuration.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `checkAvailable​(java.net.InetAddress bind_address, int tcp_port)` Checks to see if there's already something listening on the jdbc port.
`void` `close()` Closes the JDBC Server.
`DebugLogger` `Debug()` Returns a DebugLogger object that we can log debug messages to.
`int` `getJDBCPort()` Returns the port the JDBC server is on.
`void` `start​(java.net.InetAddress bind_address, int tcp_port, java.lang.String connection_pool_model)` Starts the server running.
`java.lang.String` `toString()` Returns human understandable information about the server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TCPServer

    public TCPServer​(Database database)

Constructs the TCPServer over the given DatabaseSystem configuration.

### Method Detail

#### Debug

    public final DebugLogger Debug()

Returns a DebugLogger object that we can log debug messages to.

#### getJDBCPort

    public int getJDBCPort()

Returns the port the JDBC server is on.

#### checkAvailable

    public boolean checkAvailable​(java.net.InetAddress bind_address,
                                  int tcp_port)

Checks to see if there's already something listening on the jdbc port. Returns true if the jdbc port in the configuration is available, otherwise returns false.

#### start

    public void start​(java.net.InetAddress bind_address,
                      int tcp_port,
                      java.lang.String connection_pool_model)

Starts the server running. This method returns immediately but spawns its own thread.

#### close

    public void close()

Closes the JDBC Server.

#### toString

    public java.lang.String toString()

Returns human understandable information about the server.

Overrides:
  `toString` in class `java.lang.Object`